@font-face {
  font-family: "CascadiaCode";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/CascadiaCode.woff2") format("woff2");
}

@font-face {
  font-family: "CascadiaCode";
  font-style: normal;
  font-weight: 800;
  font-display: swap;
  src: url("../fonts/CascadiaCode.woff2") format("woff2");
}

:root {
  /* Colour Pallete Grayscale */
  --yoru: #0f0f0f;
  --kesseki: #191919;
  --iwa: #262626;
  --tetsu: #393939;
  --amagumo: #4c4c4c;
  --gin: #767676;
  --okami: #a0a0a0;
  --tsuki: #bfbfbf;
  --fuyu: #cacaca;

  /* Colour Palette Alphas */
  --ume: #8f8aac;
  --kosumosu: #ac8aac;
  --chikyu: #aca98a;
  --kaen: #ac8a8c;
  --aki: #c6a679;
  --mizu: #8aacab;
  --take: #8aac8b;
  --shinkai: #8a98ac;
  --usagi: #e7e7e7;

  /* Colour Palette Accents */
  --ajisai: #a39ec4;
  --sakura: #c49ec4;
  --suna: #c4c19e;
  --ichigo: #c49ea0;
  --yuyake: #ceb188;
  --sora: #9ec3c4;
  --kusa: #9ec49f;
  --kori: #a5b4cb;
  --yuki: #f0f0f0;

  /* Font Configuration */
  --font-family-base: "CascadiaCode";
  --font-size-base: 16px;
  --font-size-mid: 14px;
  --font-size-footer: 12px;

  /* Color Configuration */
  --bg-color: var(--yoru);
  --text-color: var(--fuyu);
  --border-color: var(--iwa);
  --border-hover-color: var(--okami);
  --link-color: var(--mizu);
  --link-active-fg-color: var(--iwa);
  --link-active-bg-color: var(--okami);
  --nav-color: var(--take);
  --nav-active-fg-color: var(--iwa);
  --nav-active-bg-color: var(--okami);
  --nav-sep-color: var(--iwa);
  --nav-sep-active-color: var(--chikyu);

  /* Content Configuration */
  --content-max-inline-size: 680px;
  --content-padding: 20px;
}

::selection {
  color: var(--iwa);
  background: var(--okami);
}

a {
  color: var(--link-color);
  text-decoration: underline dotted;
}

a:hover {
  text-decoration: none;
}

a:active {
  color: var(--link-active-fg-color);
  background-color: var(--link-active-bg-color);
}

body {
  font-family: var(--font-family-base), monospace;
  font-size: var(--font-size-base);
  font-weight: 400;
  line-height: 1.6;
  color: var(--text-color);
  background-color: var(--bg-color);
  margin-block: 0;
  margin-inline: 0;
  padding-block: 0;
  padding-inline: 0;
  overflow-wrap: break-word;
}

img {
  border: 1px solid var(--border-color);
}

img:hover {
  border: 1px solid var(--border-hover-color);
}

.content-container,
.header-container,
.footer-container {
  max-inline-size: var(--content-max-inline-size);
  margin-inline: auto;
  padding-block: 0px;
  padding-inline: var(--content-padding);
  box-sizing: border-box;
}

.header-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 1rem;
  flex-wrap: wrap;
  border-bottom: 1px dotted var(--border-color);
  margin-block-start: 2rem;
}

.title-container {
    margin: 0;
}

.title-container a {
  color: var(--text-color);
  text-decoration: none;
}

.title-container a:hover {
  color: var(--border-hover-color);
}

.title-container a:active {
  color: var(--link-active-fg-color);
  background: var(--link-active-bg-color);
}

.nav-container {
  display: flex;
  gap: 0.5rem;
}

.nav-entry {
  font-weight: bold;
  color: var(--nav-color);
  text-decoration: none;
}

.nav-entry:hover {
  text-decoration: underline solid;
}

.nav-entry:active {
  color: var(--nav-active-fg-color);
  background-color: var(--nav-active-bg-color);
}

.nav-sep {
  color: var(--nav-sep-color);
}

.nav-sep.active {
  color: var(--nav-sep-active-color);
}

.list-container {
  list-style: none;
  padding: 0;
  margin: 0;
}

.list-entry {
  font-size: var(--font-size-mid);
}

.list-entry a {
  text-decoration: none;
}

.list-entry a:hover {
  text-decoration: underline solid;
}

.list-entry h3 {
  margin-bottom: 0.2rem;
}

.entry-meta {
  border-bottom: 1px dotted var(--border-color);
}

.tag-list-container {
  list-style: square;
  padding: 0;
  margin: 0;
  margin-top: 1rem;
}

.footer-container {
  text-align: center;
  font-size: var(--font-size-footer);
  border-top: 1px dotted var(--border-color);
}

.highlight {
  border: 1px solid var(--border-color);
}

.highlight:hover {
  border: 1px solid var(--border-hover-color);
}

.highlight code, code {
  font-family: var(--font-family-base);
}

.highlight pre {
  padding: 1rem;
  margin: 0;
  overflow-x: auto;
  background: var(--bg-color);
  tab-size: 4;
}

figure {
    margin-left: 0;
    margin-right: 0;
}
